org.apache.avro.perf.test.reflect.jmh_generated

## Class ReflectDoubleArrayTest_TestStateDecode_jmhType_B3

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.BasicArrayState
    - - org.apache.avro.perf.test.reflect.ReflectDoubleArrayTest.TestStateDecode
      - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectDoubleArrayTest_TestStateDecode_jmhType_B1
        - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectDoubleArrayTest_TestStateDecode_jmhType_B2
          - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectDoubleArrayTest_TestStateDecode_jmhType_B3

Direct Known Subclasses:
  ReflectDoubleArrayTest_TestStateDecode_jmhType

    public class ReflectDoubleArrayTest_TestStateDecode_jmhType_B3
    extends ReflectDoubleArrayTest_TestStateDecode_jmhType_B2

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.reflect.jmh_generated.ReflectDoubleArrayTest_TestStateDecode_jmhType_B2

`setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicArrayState

`arraySize`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ReflectDoubleArrayTest_TestStateDecode_jmhType_B3()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.reflect.ReflectDoubleArrayTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicArrayState

`getArraySize, getBatchSize`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectDoubleArrayTest_TestStateDecode_jmhType_B3

    public ReflectDoubleArrayTest_TestStateDecode_jmhType_B3()